Skip to content
Proud to collaborate with Microsoft for Startups

docusign.bulk-send.get-bulk-send-batches ​

Returns a summary of bulk send batches. Use the batch_ids query parameter to narrow the list of batches. You must specify exactly one of the following query parameters to get back a list of batch summaries: | Parameter | Description | | :---------------- | :------------------------------------------------------------------------------- | | from_date | A valid UTC DateTime: 2016-01-01 | | batch_ids | A comma-separated list of batch IDs to query. | If neither query parameter is provided, a high-level, account-wide, overall bulk send status report is returned.

Returns a list of bulk send batch summaries.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
batch_idsstringNo—A comma-separated list of batch IDs to query.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100<br> Default: 100
from_datestringNo—The start date for a date range in UTC DateTime format.
search_textstringNo—Use this parameter to search for specific text.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
statusstringNo—The kind of results to collect. Must be one of: - all - failed - sent - queued
to_datestringNo—The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date.
user_idstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
batch_idsstringNo—A comma-separated list of batch IDs to query.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100<br> Default: 100
from_datestringNo—The start date for a date range in UTC DateTime format.
search_textstringNo—Use this parameter to search for specific text.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
statusstringNo—The kind of results to collect. Must be one of: - all - failed - sent - queued
to_datestringNo—The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date.
user_idstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/bulk_send_batch
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/bulk_send_batch
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.bulk-send.get-bulk-send-batches",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}